Package: groovy.json.internal

## [Java] Interface Cache<KEY, VALUE>

- Cache

  Parameters:
    `` - key
    `` - value
  Authors:
    Rick Hightower

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `VALUE` | `get(KEY key)`
    `VALUE` | `getSilent(KEY key)`
    `void` | `put(KEY key, VALUE value)`
    `void` | `remove(KEY key)`
    `int` | `size()`

- - ### Method Detail

    - #### public VALUE get(KEY key)

    - #### public VALUE getSilent(KEY key)

    - #### public void put(KEY key, VALUE value)

    - #### public void remove(KEY key)

    - #### public int size()